Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] testing/dfu-utils: New aport

Marian Buschsieweke
Details
Message ID
<20180508225003.19014-1-marian.buschsieweke@ovgu.de>
Sender timestamp
1525819803
DKIM signature
missing
Download raw message
Patch: +28 -0
Host side implementation of the DFU 1.0 and DFU 1.1 specifications
http://dfu-util.sourceforge.net/
---
 testing/dfu-util/APKBUILD | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 testing/dfu-util/APKBUILD

diff --git a/testing/dfu-util/APKBUILD b/testing/dfu-util/APKBUILD
new file mode 100644
index 0000000000..14bcd84117
--- /dev/null
+++ b/testing/dfu-util/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Marian Buschsieweke <marian.buschsieweke@ovgu.de>
+pkgname=dfu-util
+pkgver=0.9
+pkgrel=0
+pkgdesc="Host side implementation of the DFU 1.0 and DFU 1.1 specifications"
+url="http://dfu-util.sourceforge.net/"
+arch="all"
+license="GPL-2"
+depends=
+makedepends="libusb-dev"
+options="!check"
+subpackages="$pkgname-doc"
+source="http://$pkgname.sourceforge.net/releases/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build () {
+	cd "$builddir"
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="caa7148b7a9004e2b1f7bc4f1a26b48abfe311743bc0eeed1ab57459910371affc39b6fe7e74b7cac6ca9de41a9901b7a970253ca92d7d66d5008f8a11d2c952  dfu-util-0.9.tar.gz"
-- 
2.17.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<CAGG_d8CW7OH1Nz9oEYP8D_oWfvkAhxtCy3P8wXSN3en0y1SYxg@mail.gmail.com>
In-Reply-To
<20180508225003.19014-1-marian.buschsieweke@ovgu.de> (view parent)
Sender timestamp
1531835826
DKIM signature
missing
Download raw message
Hi,

please see comments below.

On Wed, May 9, 2018 at 12:50 AM, Marian Buschsieweke <
marian.buschsieweke@ovgu.de> wrote:

> Host side implementation of the DFU 1.0 and DFU 1.1 specifications
> http://dfu-util.sourceforge.net/
> ---
>  testing/dfu-util/APKBUILD | 28 ++++++++++++++++++++++++++++
>  1 file changed, 28 insertions(+)
>  create mode 100644 testing/dfu-util/APKBUILD
>
> diff --git a/testing/dfu-util/APKBUILD b/testing/dfu-util/APKBUILD
> new file mode 100644
> index 0000000000..14bcd84117
> --- /dev/null
> +++ b/testing/dfu-util/APKBUILD
> @@ -0,0 +1,28 @@
> +# Maintainer: Marian Buschsieweke <marian.buschsieweke@ovgu.de>
> +pkgname=dfu-util
> +pkgver=0.9
> +pkgrel=0
> +pkgdesc="Host side implementation of the DFU 1.0 and DFU 1.1
> specifications"
> +url="http://dfu-util.sourceforge.net/"
> +arch="all"
> +license="GPL-2"
>


Licence ID is incorrect: https://spdx.org/licenses/


+depends=
> +makedepends="libusb-dev"
> +options="!check"
>


"make check" is supported. Is there any why it's disabled?

Thanks!

/eo